RelativePositioning

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.ctdp.rfdynhud.values
Enum RelativePositioning

    java.lang.Object
      java.lang.Enum<RelativePositioning>
          net.ctdp.rfdynhud.values.RelativePositioning

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RelativePositioning>

    public enum RelativePositioning

extends java.lang.Enum<RelativePositioning>

Enum Constant Summary
`BOTTOM_CENTER`
`BOTTOM_LEFT`
`BOTTOM_RIGHT`
`CENTER_CENTER`
`CENTER_LEFT`
`CENTER_RIGHT`
`TOP_CENTER`
`TOP_LEFT`
`TOP_RIGHT`

Method Summary
`RelativePositioning` | `deriveBottom()`
`RelativePositioning` | `deriveHCenter()`
`RelativePositioning` | `deriveLeft()`
`RelativePositioning` | `deriveRight()`
`RelativePositioning` | `deriveTop()`
`RelativePositioning` | `deriveVCenter()`
`boolean` | `isBottom()`
`boolean` | `isHCenter()`
`boolean` | `isLeft()`
`boolean` | `isRight()`
`boolean` | `isTop()`
`boolean` | `isVCenter()`
`static RelativePositioning` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RelativePositioning[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TOP_LEFT

    public static final RelativePositioning TOP_LEFT

### TOP_CENTER

    public static final RelativePositioning TOP_CENTER

### TOP_RIGHT

    public static final RelativePositioning TOP_RIGHT

### CENTER_LEFT

    public static final RelativePositioning CENTER_LEFT

### CENTER_CENTER

    public static final RelativePositioning CENTER_CENTER

### CENTER_RIGHT

    public static final RelativePositioning CENTER_RIGHT

### BOTTOM_LEFT

    public static final RelativePositioning BOTTOM_LEFT

### BOTTOM_CENTER

    public static final RelativePositioning BOTTOM_CENTER

### BOTTOM_RIGHT

    public static final RelativePositioning BOTTOM_RIGHT

Method Detail

### values

    public static RelativePositioning[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RelativePositioning c : RelativePositioning.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RelativePositioning valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### isTop

    public final boolean isTop()

### isVCenter

    public final boolean isVCenter()

### isBottom

    public final boolean isBottom()

### isLeft

    public final boolean isLeft()

### isHCenter

    public final boolean isHCenter()

### isRight

    public final boolean isRight()

### deriveLeft

    public final RelativePositioning deriveLeft()

### deriveHCenter

    public final RelativePositioning deriveHCenter()

### deriveRight

    public final RelativePositioning deriveRight()

### deriveTop

    public final RelativePositioning deriveTop()

### deriveVCenter

    public final RelativePositioning deriveVCenter()

### deriveBottom

    public final RelativePositioning deriveBottom()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD